libpagemaker::PMDParaProperties Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDParaProperties Struct Reference

`#include <PMDTypes.h>`

## Public Member Functions
| PMDParaProperties ()

## Public Attributes
uint16_t | m_length
uint8_t | m_align
uint16_t | m_leftIndent
uint16_t | m_firstIndent
uint16_t | m_rightIndent
uint16_t | m_beforeIndent
uint16_t | m_afterIndent
uint16_t | m_orphans
uint16_t | m_widows
uint16_t | m_keepWithNext
bool | m_keepTogether
bool | m_hyphenate
uint16_t | m_hyphensCount
boost::optional< PMDStrokeProperties > | m_ruleAbove
boost::optional< PMDStrokeProperties > | m_ruleBelow

## Constructor & Destructor Documentation

## ◆ PMDParaProperties()

libpagemaker::PMDParaProperties::PMDParaProperties | ( |  | ) |

## Member Data Documentation

## ◆ m_afterIndent

uint16_t libpagemaker::PMDParaProperties::m_afterIndent

## ◆ m_align

uint8_t libpagemaker::PMDParaProperties::m_align

## ◆ m_beforeIndent

uint16_t libpagemaker::PMDParaProperties::m_beforeIndent

## ◆ m_firstIndent

uint16_t libpagemaker::PMDParaProperties::m_firstIndent

## ◆ m_hyphenate

bool libpagemaker::PMDParaProperties::m_hyphenate

## ◆ m_hyphensCount

uint16_t libpagemaker::PMDParaProperties::m_hyphensCount

## ◆ m_keepTogether

bool libpagemaker::PMDParaProperties::m_keepTogether

## ◆ m_keepWithNext

uint16_t libpagemaker::PMDParaProperties::m_keepWithNext

## ◆ m_leftIndent

uint16_t libpagemaker::PMDParaProperties::m_leftIndent

## ◆ m_length

uint16_t libpagemaker::PMDParaProperties::m_length

## ◆ m_orphans

uint16_t libpagemaker::PMDParaProperties::m_orphans

## ◆ m_rightIndent

uint16_t libpagemaker::PMDParaProperties::m_rightIndent

## ◆ m_ruleAbove

boost::optional<PMDStrokeProperties> libpagemaker::PMDParaProperties::m_ruleAbove

## ◆ m_ruleBelow

boost::optional<PMDStrokeProperties> libpagemaker::PMDParaProperties::m_ruleBelow

## ◆ m_widows

uint16_t libpagemaker::PMDParaProperties::m_widows

The documentation for this struct was generated from the following files:

- PMDTypes.h
- PMDTypes.cpp